Loading...
Searching...
No Matches
SpectrumDisplayForm Class Reference

`#include <gnuradio/qtgui/spectrumdisplayform.h>`

## Public Slots

void | resizeEvent (QResizeEvent *e) override
void | customEvent (QEvent *e) override
void | avgLineEdit_valueChanged (int valueString)
void | maxHoldCheckBox_toggled (bool newState)
void | minHoldCheckBox_toggled (bool newState)
void | minHoldResetBtn_clicked ()
void | maxHoldResetBtn_clicked ()
void | tabChanged (int index)
void | setFrequencyRange (const double newCenterFrequency, const double newStartFrequency, const double newStopFrequency)
void | closeEvent (QCloseEvent *e) override
void | windowTypeChanged (int newItem)
void | useRFFrequenciesCB (bool useRFFlag)
void | toggleRFFrequencies (bool en)
void | waterfallMaximumIntensityChangedCB (double)
void | waterfallMinimumIntensityChangedCB (double)
void | waterfallIntensityColorTypeChanged (int)
void | waterfallAutoScaleBtnCB ()
void | fftComboBoxSelectedCB (const QString &)
void | toggleTabFrequency (const bool state)
void | toggleTabWaterfall (const bool state)
void | toggleTabTime (const bool state)
void | toggleTabConstellation (const bool state)
void | setTimeDomainAxis (double min, double max)
void | setConstellationAxis (double xmin, double xmax, double ymin, double ymax)
void | setConstellationPenSize (int size)
void | setFrequencyAxis (double min, double max)
void | setUpdateTime (double t)

## Signals

void | plotPointSelected (const QPointF p, int type)

## Public Member Functions

| SpectrumDisplayForm (QWidget *parent=0)
| ~SpectrumDisplayForm () override
| SpectrumDisplayForm (const SpectrumDisplayForm &)=delete
| SpectrumDisplayForm (SpectrumDisplayForm &&)=delete
SpectrumDisplayForm & | operator= (const SpectrumDisplayForm &)=delete
SpectrumDisplayForm & | operator= (SpectrumDisplayForm &&)=delete
void | setSystem (SpectrumGUIClass *newSystem, const uint64_t numFFTDataPoints, const uint64_t numTimeDomainDataPoints)
int | getAverageCount ()
void | setAverageCount (const int newCount)
void | reset ()
void | averageDataReset ()
void | resizeBuffers (const uint64_t numFFTDataPoints, const uint64_t numTimeDomainDataPoints)
float | getClickedFreq () const
bool | checkClicked ()

## Constructor & Destructor Documentation

## SpectrumDisplayForm() [1/3]

SpectrumDisplayForm::SpectrumDisplayForm | ( | QWidget * | parent = 0 | ) |

Referenced by operator=(), operator=(), SpectrumDisplayForm(), and SpectrumDisplayForm().

## ~SpectrumDisplayForm()

SpectrumDisplayForm::~SpectrumDisplayForm | ( |  | ) |

override

## SpectrumDisplayForm() [2/3]

SpectrumDisplayForm::SpectrumDisplayForm | ( | const SpectrumDisplayForm & |  | ) |

delete

References SpectrumDisplayForm().

## SpectrumDisplayForm() [3/3]

SpectrumDisplayForm::SpectrumDisplayForm | ( | SpectrumDisplayForm && |  | ) |

delete

References SpectrumDisplayForm().

## Member Function Documentation

## averageDataReset()

void SpectrumDisplayForm::averageDataReset | ( |  | ) |

## avgLineEdit_valueChanged

void SpectrumDisplayForm::avgLineEdit_valueChanged | ( | int | valueString | ) |

slot

## checkClicked()

bool SpectrumDisplayForm::checkClicked | ( |  | ) |

## closeEvent

void SpectrumDisplayForm::closeEvent | ( | QCloseEvent * | e | ) |

override slot

## customEvent

void SpectrumDisplayForm::customEvent | ( | QEvent * | e | ) |

override slot

## fftComboBoxSelectedCB

void SpectrumDisplayForm::fftComboBoxSelectedCB | ( | const QString & |  | ) |

slot

## getAverageCount()

int SpectrumDisplayForm::getAverageCount | ( |  | ) |

## getClickedFreq()

float SpectrumDisplayForm::getClickedFreq | ( |  | ) | const

## maxHoldCheckBox_toggled

void SpectrumDisplayForm::maxHoldCheckBox_toggled | ( | bool | newState | ) |

slot

## maxHoldResetBtn_clicked

void SpectrumDisplayForm::maxHoldResetBtn_clicked | ( |  | ) |

slot

## minHoldCheckBox_toggled

void SpectrumDisplayForm::minHoldCheckBox_toggled | ( | bool | newState | ) |

slot

## minHoldResetBtn_clicked

void SpectrumDisplayForm::minHoldResetBtn_clicked | ( |  | ) |

slot

## operator=() [1/2]

SpectrumDisplayForm & SpectrumDisplayForm::operator= | ( | const SpectrumDisplayForm & |  | ) |

delete

References SpectrumDisplayForm().

## operator=() [2/2]

SpectrumDisplayForm & SpectrumDisplayForm::operator= | ( | SpectrumDisplayForm && |  | ) |

delete

References SpectrumDisplayForm().

## plotPointSelected

void SpectrumDisplayForm::plotPointSelected | ( | const QPointF | p,
|  | int | type )

signal

## reset()

void SpectrumDisplayForm::reset | ( |  | ) |

## resizeBuffers()

void SpectrumDisplayForm::resizeBuffers | ( | const uint64_t | numFFTDataPoints,
|  | const uint64_t | numTimeDomainDataPoints )

## resizeEvent

void SpectrumDisplayForm::resizeEvent | ( | QResizeEvent * | e | ) |

override slot

## setAverageCount()

void SpectrumDisplayForm::setAverageCount | ( | const int | newCount | ) |

## setConstellationAxis

void SpectrumDisplayForm::setConstellationAxis | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax )

slot

## setConstellationPenSize

void SpectrumDisplayForm::setConstellationPenSize | ( | int | size | ) |

slot

## setFrequencyAxis

void SpectrumDisplayForm::setFrequencyAxis | ( | double | min,
|  | double | max )

slot

## setFrequencyRange

void SpectrumDisplayForm::setFrequencyRange | ( | const double | newCenterFrequency,
|  | const double | newStartFrequency,
|  | const double | newStopFrequency )

slot

## setSystem()

void SpectrumDisplayForm::setSystem | ( | SpectrumGUIClass * | newSystem,
|  | const uint64_t | numFFTDataPoints,
|  | const uint64_t | numTimeDomainDataPoints )

## setTimeDomainAxis

void SpectrumDisplayForm::setTimeDomainAxis | ( | double | min,
|  | double | max )

slot

## setUpdateTime

void SpectrumDisplayForm::setUpdateTime | ( | double | t | ) |

slot

## tabChanged

void SpectrumDisplayForm::tabChanged | ( | int | index | ) |

slot

## toggleRFFrequencies

void SpectrumDisplayForm::toggleRFFrequencies | ( | bool | en | ) |

slot

## toggleTabConstellation

void SpectrumDisplayForm::toggleTabConstellation | ( | const bool | state | ) |

slot

## toggleTabFrequency

void SpectrumDisplayForm::toggleTabFrequency | ( | const bool | state | ) |

slot

## toggleTabTime

void SpectrumDisplayForm::toggleTabTime | ( | const bool | state | ) |

slot

## toggleTabWaterfall

void SpectrumDisplayForm::toggleTabWaterfall | ( | const bool | state | ) |

slot

## useRFFrequenciesCB

void SpectrumDisplayForm::useRFFrequenciesCB | ( | bool | useRFFlag | ) |

slot

## waterfallAutoScaleBtnCB

void SpectrumDisplayForm::waterfallAutoScaleBtnCB | ( |  | ) |

slot

## waterfallIntensityColorTypeChanged

void SpectrumDisplayForm::waterfallIntensityColorTypeChanged | ( | int |  | ) |

slot

## waterfallMaximumIntensityChangedCB

void SpectrumDisplayForm::waterfallMaximumIntensityChangedCB | ( | double |  | ) |

slot

## waterfallMinimumIntensityChangedCB

void SpectrumDisplayForm::waterfallMinimumIntensityChangedCB | ( | double |  | ) |

slot

## windowTypeChanged

void SpectrumDisplayForm::windowTypeChanged | ( | int | newItem | ) |

slot

The documentation for this class was generated from the following file:

- spectrumdisplayform.h